# Place a preorder

## Pre Order

The acceptable Payment Tokens are **AVAX,WAVAX**, and **USDC**.

### WAVAX Contract Address

```typescript
0xB31f66AA3C1e785363F0875A1B74E27b85FD66c7
```

### USDC Contract Address

```typescript
0xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E
```

Note: use 6 decimal places for USDC. 18 for AVAX/WAVAX

### Native AVAX&#x20;

```typescript
0x0000000000000000000000000000000000000000
```

```typescript
async function placePreSaleOrder(
  tokenAddress: string,
  paymentToken: string,
  payAmount: string, 
) {
  try {
    const data = await walletClient.writeContract({
      address: factoryContractAddress,
      abi: factoryABI,
      functionName: 'placePreSaleOrder',
      args: [tokenAddress, paymentToken, payAmount],
      account: account,
    });
    console.log('swap data', data);
  } catch (error) {
    console.error('Error in swap:', error);
  }
}
```

\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datnoid.com/developers/place-a-preorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
